Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2021-02-14 12:48:55

0001 #!/bin/sh
0002 
0003 function die { echo $1: status $2 ; exit $2; }
0004 
0005 F1=${LOCAL_TEST_DIR}/python/dumpMuonGeometry.py
0006 F2=${LOCAL_TEST_DIR}/python/testMuonGeometry.py
0007 F3=${LOCAL_TEST_DIR}/python/testMuonNumbering.py
0008 F4=${LOCAL_TEST_DIR}/python/testDDGEMAngularAlgorithm.py
0009 
0010 echo " testing Geometry/MuonCommonData"
0011 
0012 export tmpdir=${LOCAL_TMP_DIR:-/tmp}
0013 echo "===== Test \"cmsRun dumpMuonGeometry.py\" ===="
0014 (cmsRun $F1) || die "Failure using cmsRun $F1" $?
0015 echo "===== Test \"cmsRun testMuonGeometry.py\" ===="
0016 (cmsRun $F2) || die "Failure using cmsRun $F2" $?
0017 echo "===== Test \"cmsRun testMuonNumbering.py\" ===="
0018 (cmsRun $F3) || die "Failure using cmsRun $F3" $?
0019 echo "===== Test \"cmsRun testDDGEMAngularAlgorithm.py\" ===="
0020 (cmsRun $F4) || die "Failure using cmsRun $F4" $?